import React from 'react';
import {
  Card,
  WhiteSpace,
  Flex,
} from 'antd-mobile';
class MyTopCard extends React.Component{
  render(){
    const SummaryData=this.props.data;
    if(SummaryData==null)
    {
      return(
        <div>
          <WhiteSpace size="lg" style={{background:"#eee"}} />
          <Card full>
            <Card.Header
              title={
                <div style={{fontSize:"0.9rem"}}>
                  <span style={ {paddingRight:"0.75rem",color:'#38c5b8',fontWeight:"600"}}>总证数</span>
                  <span >0</span>
                </div>
              }
              style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
            />
            <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
              <Flex style={{padding:"0.4rem 0"}}>
                <Flex.Item style={{marginRight:"0.75rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>已签约证数</div>
                    <div>0</div>
                  </Flex>
                </Flex.Item>
                <Flex.Item style={{marginLeft:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>证均成本</div>
                    <div>0</div>
                  </Flex>
                </Flex.Item>
              </Flex>

              <Flex style={{padding:"0.4rem 0"}}>
                <Flex.Item style={{marginRight:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>安置房套数</div>
                    <div>0</div>
                  </Flex>
                </Flex.Item>
                <Flex.Item style={{marginLeft:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>面积成本</div>
                    <div>0</div>
                  </Flex>
                </Flex.Item>
              </Flex>

              <Flex style={{padding:"0.4rem 0"}}>
                <Flex.Item style={{marginRight:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>产权调换比例</div>
                    <div>0</div>
                  </Flex>
                </Flex.Item>
                <Flex.Item style={{marginLeft:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>货币补偿比例</div>
                    <div>0</div>
                  </Flex>
                </Flex.Item>
              </Flex>

              <WhiteSpace size="lg" />
            </Card.Body>
          </Card>
        </div>
      );
    }else{
      return(
        <div>
          <WhiteSpace size="lg" style={{background:"#eee"}} />
          <Card full>
            <Card.Header
              title={
                <div style={{fontSize:"0.9rem"}}>
                  <span style={ {paddingRight:"0.75rem",color:'#38c5b8',fontWeight:"600"}}>总证数</span>
                  <span >{SummaryData[0].xiangMuZongHuShu}</span>
                </div>
              }
              style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
            />
            <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
              <Flex style={{padding:"0.4rem 0"}}>
                <Flex.Item style={{marginRight:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>已签约证数</div>
                    <div>{SummaryData[0].yiQianYueHuShu}</div>
                  </Flex>
                </Flex.Item>
                <Flex.Item style={{marginLeft:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>证均成本</div>
                    <div>{SummaryData[0].zhengJunChengBen}</div>
                  </Flex>
                </Flex.Item>
              </Flex>

              <Flex style={{padding:"0.4rem 0"}}>
                <Flex.Item style={{marginRight:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>安置房套数</div>
                    <div>{SummaryData.anZhiFangTaoShu}</div>
                  </Flex>
                </Flex.Item>
                <Flex.Item style={{marginLeft:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>面积成本</div>
                    <div>{SummaryData.mianJiChengBen}</div>
                  </Flex>
                </Flex.Item>
              </Flex>

              <Flex style={{padding:"0.4rem 0"}}>
                <Flex.Item style={{marginRight:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>产权调换比例</div>
                    <div>{SummaryData.chanQuanDiaoHuanBiLi}</div>
                  </Flex>
                </Flex.Item>
                <Flex.Item style={{marginLeft:"0.8rem"}}>
                  <Flex style={{justifyContent:"space-between"}}>
                    <div>货币补偿比例</div>
                    <div>{SummaryData.huoBiBuChangBiLi}</div>
                  </Flex>
                </Flex.Item>
              </Flex>

              <WhiteSpace size="lg" />
            </Card.Body>
          </Card>
        </div>
      );
    }

  }
}
export default MyTopCard;
